Bug 518484 - setroubleshoot: Your system may be seriously compromised!
Summary: setroubleshoot: Your system may be seriously compromised!
Keywords:
Status: CLOSED DUPLICATE of bug 518351
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:dd58a6e0c7e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-20 15:18 UTC by James Laska
Modified: 2013-09-02 06:39 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-20 16:24:21 UTC


Attachments (Terms of Use)

Description James Laska 2009-08-20 15:18:05 UTC
The following was filed automatically by setroubleshoot:

Summary:

Your system may be seriously compromised!

Detailed Description:

SELinux has denied the vbetool the ability to mmap low area of the kernel
address space. The ability to mmap a low area of the address space, as
configured by /proc/sys/kernel/mmap_min_addr. Preventing such mappings helps
protect against exploiting null deref bugs in the kernel. All applications that
need this access should have already had policy written for them. If a
compromised application tries modify the kernel this AVC would be generated.
This is a serious issue. Your system may very well be compromised.

Allowing Access:

Contact your security administrator and report this issue.

Additional Information:

Source Context                system_u:system_r:vbetool_t:s0-s0:c0.c1023
Target Context                system_u:system_r:vbetool_t:s0-s0:c0.c1023
Target Objects                None [ memprotect ]
Source                        vbetool
Source Path                   /usr/sbin/vbetool
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           vbetool-1.2.1-1.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.26-8.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   mmap_zero
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.31-0.125.4.2.rc5.git2.fc12.i686 #1 SMP Tue Aug
                              11 21:20:05 EDT 2009 i686 i686
Alert Count                   3
First Seen                    Wed 19 Aug 2009 04:54:10 PM EDT
Last Seen                     Thu 20 Aug 2009 07:04:41 AM EDT
Local ID                      cb5057e1-7684-441b-99c0-31cbfeb08aba
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1250766281.935:106): avc:  denied  { mmap_zero } for  pid=10839 comm="vbetool" scontext=system_u:system_r:vbetool_t:s0-s0:c0.c1023 tcontext=system_u:system_r:vbetool_t:s0-s0:c0.c1023 tclass=memprotect

node=(removed) type=SYSCALL msg=audit(1250766281.935:106): arch=40000003 syscall=192 success=no exit=-13 a0=0 a1=502 a2=7 a3=11 items=0 ppid=10834 pid=10839 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="vbetool" exe="/usr/sbin/vbetool" subj=system_u:system_r:vbetool_t:s0-s0:c0.c1023 key=(null)


audit2allow suggests:

#============= vbetool_t ==============
allow vbetool_t self:memprotect mmap_zero;

Comment 1 Daniel Walsh 2009-08-20 16:24:21 UTC

*** This bug has been marked as a duplicate of bug 518351 ***


Note You need to log in before you can comment on or make changes to this bug.